/*
 *  TOPPERS/HRP Kernel
 *      Toyohashi Open Platform for Embedded Real-Time Systems/
 *      High Reliable system Profile Kernel
 * 
 *  Copyright (C) 2011-2012 by Embedded and Real-Time Systems Laboratory
 *              Graduate School of Information Science, Nagoya Univ., JAPAN
 * 
 *  嵭Ԥϡʲ(1)(4)ξ˸¤ꡤܥեȥ
 *  ܥեȥѤΤޤࡥʲƱˤѡʣ
 *  ѡۡʰʲѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
 *  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
 *      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
 *      ˴ޤޤƤ뤳ȡ
 *  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
 *      ѤǤǺۤˤϡۤȼɥȡ
 *      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
 *      ̵ݾڵǺܤ뤳ȡ
 *  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
 *      ѤǤʤǺۤˤϡΤ줫ξ
 *      ȡ
 *    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
 *        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
 *    (b) ۤη֤̤ˡˤäơTOPPERSץȤ
 *        𤹤뤳ȡ
 *  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
 *      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
 *      ޤܥեȥΥ桼ޤϥɥ桼Τʤ
 *      ͳ˴Ťᤫ⡤嵭ԤTOPPERSץȤ
 *      դ뤳ȡ
 * 
 *  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
 *  TOPPERSץȤϡܥեȥ˴ؤơλŪ
 *  ФŬޤơʤݾڤԤʤޤܥեȥ
 *  ѤˤľŪޤϴŪʤ»˴ؤƤ⡤
 *  Ǥʤ
 * 
 *  @(#) $Id: core_cfg1_out.h 2189 2011-07-24 13:16:06Z ertl-honda $
 */

/*
 *		cfg1_out.c󥯤뤿ɬפʥ֤
 */

void sta_ker(void){}

/* 
 *  եåȥե뤿 
 */ 
const uint8_t   MAGIC_1 = 0x12; 
const uint16_t  MAGIC_2 = 0x1234; 
const uint32_t  MAGIC_4 = 0x12345678;

const TCB	TCB_enatex = {
	{ NULL, NULL },			/* task_queue */
	NULL,					/* p_tinib */
	0U,						/* tstat */
#ifdef TOPPERS_SUPPORT_MUTEX
	0U,						/* bpriority */
#endif /* TOPPERS_SUPPORT_MUTEX */
    0U,                     /* svclevel */
	0U,						/* priority */
	false,					/* acqeue */
	false,					/* wupque */
	true,					/* enatex */
    false,                  /* waifbd */
	0U,						/* texprn */
	NULL,					/* p_winifo */
#ifdef TOPPERS_SUPPORT_MUTEX
	{ NULL, NULL },			/* mutex_queue */
#endif /* TOPPERS_SUPPORT_MUTEX */
    0U,                      /* leftotm */
	{ NULL, NULL, 0, NULL }			/* tskctxb */
};

const TCB	TCB_waifbd = {
    { NULL, NULL },     /* 塼 */
	NULL,               /* ֥åؤΥݥ */
	0,                  /* ֡ɽ*/
	0,                  /* ĥӥΥͥȥ٥ */
	0,                  /* ١ͥ١ɽ*/
	0,                  /* ߤͥ١ɽ*/
	false,              /* ư׵ᥭ塼 */
	false,              /* ׵ᥭ塼 */
	false,              /* 㳰ľ */
	true,               /* Ԥػ߾ */
	0,                  /* α㳰װ */
	NULL,               /* Ԥ֥åؤΥݥ */
    { NULL, NULL },     /* åƤߥ塼ƥåΥ塼 */
	0,                  /* Ĥץå */
    { NULL, NULL, 0, 0, },     /* ƥȥ֥å */
};

const TCB	TCB_svclevel = {
    { NULL, NULL },     /* 塼 */
	NULL,               /* ֥åؤΥݥ */
	0,                  /* ֡ɽ*/
	1,                  /* ĥӥΥͥȥ٥ */
	0,                  /* ١ͥ١ɽ*/
	0,                  /* ߤͥ١ɽ*/
	false,              /* ư׵ᥭ塼 */
	false,              /* ׵ᥭ塼 */
	false,              /* 㳰ľ */
	false,              /* Ԥػ߾ */
	0,                  /* α㳰װ */
	NULL,               /* Ԥ֥åؤΥݥ */
    { NULL, NULL },     /* åƤߥ塼ƥåΥ塼 */
	0,                  /* Ĥץå */
    { NULL, NULL, 0, 0, },     /* ƥȥ֥å */
};

